function doConfirmActionDeleteColumn(pMsg) {
  if (formByName('index').elements['index'].selectedIndex > 0 && confirm(pMsg))
    submitAndAction('index', 'delete');
}

function doConfirmActionDeleteEntry(pMsg, pTopic, pIndex) {
  loadPageConfirm(pMsg, '&page=entries&action=delete&index=' + pIndex + '&topic=' + pTopic);
}

function doConfirmActionDeleteForum(pMsg, pIndex) {
  loadPageConfirm(pMsg, '&action=delete&index=' + pIndex);
}

function doConfirmActionDeleteTopic(pMsg, pForum, pIndex) {
  loadPageConfirm(pMsg, '&page=topics&action=delete&forum=' + pForum + '&index=' + pIndex);
}

function doConfirmActionPublishForum(pMsg, pIndex) {
  loadPageConfirm(pMsg, '&action=publish&index=' + pIndex);
}

function goAssignedUser() {
  var S = getSelectSelValue(formByName('details').elements['assigneduser']);
  if (S != '')
    go('index.php?umi=admin_users&page=details&id=' + S);
}

function insertBbCode(pCode) {
  insertText(formByName('details').elements['text'], '[' + pCode + ']', '[/' + pCode + ']');
}

function popupHistory(pIndex) {
  popupWindow('plain.php?page=history.pop&entity=col_forums_forums&index=' + pIndex, 240, 500);
}

function viewInfoBoxUser(pId) {
  if (pId != '')
    viewInfoBox('user' + pId, 'plain.php?umi=admin_users&page=user.info&id=' + pId);
}

function viewInfoBoxUser2() {
  viewInfoBoxUser(getSelectSelValue(formByName('details').elements['assigneduser']));
}